#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  _defaults:
    autowire: true
    autoconfigure: true

  CDev\Paypal\Core\PaypalCommercePlatform\AccessToken:
    arguments:
      $sandbox: false

  CDev\Paypal\Core\PaypalCommercePlatform\Onboarding:
    public: true
    arguments:
      $sandbox: false

  CDev\Paypal\Transformer\XLite\Model\OrderItem\Logic\Entity\Storefront\CartDecorator:
    class: CDev\Paypal\Domain\GmvTrackerDomainDecorator
    decorates: XCart\Domain\GmvTrackerDomain
